summaryrefslogtreecommitdiffstats
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1999-07-23 16:09:11 (GMT)
committerFred Drake <fdrake@acm.org>1999-07-23 16:09:11 (GMT)
commit8ea15f34953e02878f1cf71eadb6ecf86bf7c6bf (patch)
treeac6fa54ef8e5956941b96afa446f83ba1b2fa6da /Doc/tools
parent69f87c580de14e2baeba99033cf4106fe6ead821 (diff)
downloadcpython-8ea15f34953e02878f1cf71eadb6ecf86bf7c6bf.zip
cpython-8ea15f34953e02878f1cf71eadb6ecf86bf7c6bf.tar.gz
cpython-8ea15f34953e02878f1cf71eadb6ecf86bf7c6bf.tar.bz2
Add --zip parameter; make this able to produce .zip files as well as
.tgz files.
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/mktarball.sh23
1 files changed, 20 insertions, 3 deletions
diff --git a/Doc/tools/mktarball.sh b/Doc/tools/mktarball.sh
index 4d5ad79..9ec622b 100755
--- a/Doc/tools/mktarball.sh
+++ b/Doc/tools/mktarball.sh
@@ -20,6 +20,14 @@ if [ "$1" = "-t" -o "$1" = "--tools" ] ; then
shift 1
TOOLS_ONLY=true
fi
+if [ "$1" = "-z" -o "$1" = "--zip" ] ; then
+ shift 1
+ USE_ZIP=true
+fi
+if [ "$1" = "-g" -o "$1" = "--targz" ] ; then
+ shift 1
+ USE_ZIP=''
+fi
RELEASE=$1; shift
@@ -48,11 +56,20 @@ if [ "$TOOLS_ONLY" ] ; then
# remove the actual documents
rm -rf api ext lib mac ref tut
cd ..
- (tar cf - Doc | gzip -9 >$MYDIR/tools-$RELEASE.tgz) || exit $?
+ if [ "$USE_ZIP" ] ; then
+ pwd
+ zip -r9 tools-$RELEASE.zip Doc || exit
+ else
+ (tar cf - Doc | gzip -9 >$MYDIR/tools-$RELEASE.tgz) || exit $?
+ fi
else
cd $TEMPDIR
-
- (tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) || exit $?
+ if [ "$USE_ZIP" ] ; then
+ zip -r9 $MYDIR/latex-$RELEASE.zip Python-$RELEASE || exit $?
+ else
+ (tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) \
+ || exit $?
+ fi
fi
cd $MYDIR
rm -r $TEMPDIR || exit $?